#define INLENGTH 6
#define INTERMINATOR 13
char inString[INLENGTH+1];
int inCount;
int ledPin = 12;

void setup() { 
 Serial.begin(28800); 
 pinMode(ledPin,OUTPUT);
 digitalWrite(ledPin,LOW);
} 

void loop() { 
  inCount = 0;
  do {
    while (!Serial.available());             // wait for input
    inString[inCount] = Serial.read();       // get it
    if (inString [inCount] == INTERMINATOR){
      Serial.flush(); 
      break;
    }
  } while(++inCount < INLENGTH);
  inString[inCount] = 0;                     // null terminate the string
  Serial.print(inString);
  if(strcmp(inString,"LEDON#") == 0){
   digitalWrite(ledPin,HIGH);
  }
  if(strcmp(inString,"LEDOFF") == 0){
   digitalWrite(ledPin,LOW); 
  }
 }
